Move collections
Moves the specified collections to a new location.
Request
POST
https://api.datalens.tech/rpc/moveCollections
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"collectionIds": [
"example"
],
"parentId": "example"
}
|
Name |
Description |
|
collectionIds |
Type: string[] IDs of the collections to move. Example
|
|
parentId |
Type: string | null ID of the parent collection to move the collections to. Example: |
Responses
200 OK
Response
Body
application/json
{
"collections": [
{
"collectionId": "example",
"title": "example",
"description": "example",
"parentId": "example",
"tenantId": "example",
"createdBy": "example",
"createdAt": "example",
"updatedBy": "example",
"updatedAt": "example",
"meta": {}
}
]
}
|
Name |
Description |
|
collections |
Type: Collection[] Moved collections. Example
|
Collection
|
Name |
Description |
||
|
collectionId |
Type: string Unique identifier of the collection. Example: |
||
|
createdAt |
Type: string Creation timestamp. Example: |
||
|
createdBy |
Type: string ID of the user who created the collection. Example: |
||
|
description |
Type: string | null Description of the collection. Example: |
||
|
meta |
Type: object
Metadata associated with the collection. Example
|
||
|
parentId |
Type: string | null ID of the parent collection. Example: |
||
|
tenantId |
Type: string ID of the DataLens tenant. Example: |
||
|
title |
Type: string Title of the collection. Example: |
||
|
updatedAt |
Type: string Last update timestamp. Example: |
||
|
updatedBy |
Type: string ID of the user who last updated the collection. Example: |
Example
{
"collectionId": "example",
"title": "example",
"description": "example",
"parentId": "example",
"tenantId": "example",
"createdBy": "example",
"createdAt": "example",
"updatedBy": "example",
"updatedAt": "example",
"meta": {}
}